/*
qadc64.h
University of Michigan
EECS-461, Embedded Systems
Queued Analog-Digital Converter Module-64 (QADC64)
Read Chapter 13 in MPC555 User's Manual

Revision History:
Created: ? by Noah Cowan
Updated: 2000-09-22 by Chris Kellum
Updated: 2001-09-27 by David Thorsley
*/
#ifndef __QADC64_H__
#define __QADC64_H__

//Initialize the qadc64 module
void qadc64Init();

//Read an analog input from the qadc64 module Queue 1
//This function must initiate a scan before doing the reading of the digital number
//created by the QADC64
int qadc64ReadQ1(int module, int channel);

//Read an analog input from the qadc64 module Queue 2
int qadc64ReadQ2(int module, int channel);

// Run during initiation to fill the conversition table with appropriate values
void fillCCWTable();

#endif // __QADC64_H__
